App\Library\Amazon\Classes\VideoGamesAccessories:
    xml_root_name: VideoGamesAccessories
    properties:
        hardwarePlatform:
            expose: true
            access_type: public_method
            serialized_name: HardwarePlatform
            accessor:
                getter: getHardwarePlatform
                setter: setHardwarePlatform
            xml_list:
                inline: true
                entry_name: HardwarePlatform
            type: array<string>
        bundles:
            expose: true
            access_type: public_method
            serialized_name: Bundles
            accessor:
                getter: getBundles
                setter: setBundles
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: string
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        maxNumberOfPlayers:
            expose: true
            access_type: public_method
            serialized_name: MaxNumberOfPlayers
            accessor:
                getter: getMaxNumberOfPlayers
                setter: setMaxNumberOfPlayers
            type: integer
